Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.util
Class UserAuthenticatorUtils

    java.lang.Object
      org.apache.commons.vfs.util.UserAuthenticatorUtils

public class UserAuthenticatorUtils
extends Object

some helper

Constructor Summary
`UserAuthenticatorUtils()`

Method Summary
`static UserAuthenticationData` | `authenticate(FileSystemOptions opts, UserAuthenticationData.Type[] authenticatorTypes)` if there is a authenticator the authentication will take place, else null will be reutrned
`static UserAuthenticationData` | `authenticate(UserAuthenticator auth, UserAuthenticationData.Type[] authenticatorTypes)` if there is a authenticator the authentication will take place, else null will be reutrned
`static void` | `cleanup(UserAuthenticationData authData)` cleanup the data in the UerAuthenticationData (null safe)
`static char[]` | `getData(UserAuthenticationData data, UserAuthenticationData.Type type, char[] overwriddenValue)` gets data of given type from the UserAuthenticationData or null if there is no data or data of this type available
`static char[]` | `toChar(String string)` converts a string to a char array (null safe)
`static String` | `toString(char[] data)` converts the given data to a string (null safe)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserAuthenticatorUtils

    public UserAuthenticatorUtils()

Method Detail

### getData

    public static char[] getData(UserAuthenticationData data,
                                 UserAuthenticationData.Type type,
                                 char[] overwriddenValue)

  gets data of given type from the UserAuthenticationData or null if there is no data or data of this type available

### authenticate

    public static UserAuthenticationData authenticate(FileSystemOptions opts,
                                                      UserAuthenticationData.Type[] authenticatorTypes)

  if there is a authenticator the authentication will take place, else null will be reutrned

### authenticate

    public static UserAuthenticationData authenticate(UserAuthenticator auth,
                                                      UserAuthenticationData.Type[] authenticatorTypes)

  if there is a authenticator the authentication will take place, else null will be reutrned

### toChar

    public static char[] toChar(String string)

  converts a string to a char array (null safe)

### cleanup

    public static void cleanup(UserAuthenticationData authData)

  cleanup the data in the UerAuthenticationData (null safe)

### toString

    public static String toString(char[] data)

  converts the given data to a string (null safe)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.